Debian Bug report logs - #678905
sacjava: FTBFS with gcj: java.lang.RuntimeException: Only he following values are currently supported for option -source: 1.2, 1.3, 1.4.

version graph

Package: src:sacjava; Maintainer for src:sacjava is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Sun, 24 Jun 2012 22:54:01 UTC

Severity: serious

Tags: sid, wheezy

Found in version sacjava/1.3-5

Fixed in version sacjava/1.3-6

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#678905; Package src:sacjava. (Sun, 24 Jun 2012 22:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sun, 24 Jun 2012 22:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: sacjava: FTBFS with gcj: java.lang.RuntimeException: Only he following values are currently supported for option -source: 1.2, 1.3, 1.4.
Date: Mon, 25 Jun 2012 00:50:52 +0200
Package: src:sacjava
Version: 1.3-5
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

/usr/lib/jvm/default-java/bin/javadoc -source 1.5 -d doc `find org -name "*.java" | xargs`
java.lang.RuntimeException: Only he following values are currently supported for option -source: 1.2, 1.3, 1.4.
   at gnu.classpath.tools.gjdoc.Main$10.process(libgcj-tools.so.13)
   at gnu.classpath.tools.gjdoc.Main.readOptions(libgcj-tools.so.13)
   at gnu.classpath.tools.gjdoc.Main.start(libgcj-tools.so.13)
   at gnu.classpath.tools.gjdoc.Main.main(libgcj-tools.so.13)
make: *** [build-stamp] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=sacjava&arch=kfreebsd-amd64&ver=1.3-5&stamp=1340145550

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Mon, 25 Jun 2012 08:54:04 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Mon, 25 Jun 2012 08:54:04 GMT) Full text and rfc822 format available.

Message #10 received at 678905-close@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 678905-close@bugs.debian.org
Subject: Bug#678905: fixed in sacjava 1.3-6
Date: Mon, 25 Jun 2012 08:51:57 +0000
Source: sacjava
Source-Version: 1.3-6

We believe that the bug you reported is fixed in the latest version of
sacjava, which is due to be installed in the Debian FTP archive:

libsac-java-doc_1.3-6_all.deb
  to main/s/sacjava/libsac-java-doc_1.3-6_all.deb
libsac-java-gcj_1.3-6_amd64.deb
  to main/s/sacjava/libsac-java-gcj_1.3-6_amd64.deb
libsac-java_1.3-6_all.deb
  to main/s/sacjava/libsac-java_1.3-6_all.deb
sacjava_1.3-6.debian.tar.gz
  to main/s/sacjava/sacjava_1.3-6.debian.tar.gz
sacjava_1.3-6.dsc
  to main/s/sacjava/sacjava_1.3-6.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 678905@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niels Thykier <niels@thykier.net> (supplier of updated sacjava package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 25 Jun 2012 10:14:19 +0200
Source: sacjava
Binary: libsac-java libsac-java-doc libsac-java-gcj
Architecture: source all amd64
Version: 1.3-6
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Niels Thykier <niels@thykier.net>
Description: 
 libsac-java - Simple API for CSS Java library
 libsac-java-doc - Simple API for CSS Java library (documentation)
 libsac-java-gcj - Simple API for CSS Java library (native code)
Closes: 678905
Changes: 
 sacjava (1.3-6) unstable; urgency=low
 .
   * Team upload.
   * Skip javadoc compilation in build-arch target.
     (Closes: #678905)
   * Add missing call to mh_clean.
   * Add versioned Build-Depends on dpkg-dev to ensure
     build-arch is available.
Checksums-Sha1: 
 bbe2bfadb5d7078fc01f134f44dbbd1b683a062d 2066 sacjava_1.3-6.dsc
 a0dc586b5909c24ed70ec833f807b5911fcf3968 4034 sacjava_1.3-6.debian.tar.gz
 f39240535dc4e92faa7158173b7f5e428716923a 14824 libsac-java_1.3-6_all.deb
 c717342519235748b1261a820d758681d9311fd0 56222 libsac-java-doc_1.3-6_all.deb
 558bf5e3654b5a74b4fddc50ee279fdb5817f038 19670 libsac-java-gcj_1.3-6_amd64.deb
Checksums-Sha256: 
 4058ea048cfe8860272dabac438057d0112a52a481ed47719a6401f09c5b4f5f 2066 sacjava_1.3-6.dsc
 0aebff1e9a07ee98ecdedbdcbf010ece98fca048cb064b766b85f42e7c259544 4034 sacjava_1.3-6.debian.tar.gz
 a376d1cbe69fcc8eb314670e871e2b657bd6cfea7aa7e583936757165a8568ea 14824 libsac-java_1.3-6_all.deb
 a6f568c1caa6ca7ae47040d591aa97514f6066d44d2cacfadb7c18d071389320 56222 libsac-java-doc_1.3-6_all.deb
 6448f512ae6bb90fc111c5c4da70a4434ee90c093fe8f63e6842174263418130 19670 libsac-java-gcj_1.3-6_amd64.deb
Files: 
 68b175a03182cefd274b6016d826b724 2066 java optional sacjava_1.3-6.dsc
 d6eeb81f415b95b92dc2e8135afba15e 4034 java optional sacjava_1.3-6.debian.tar.gz
 f0cda1443012edbd63e1f4e9fbdf2c05 14824 java optional libsac-java_1.3-6_all.deb
 f136626495796308e59d829b64836734 56222 doc optional libsac-java-doc_1.3-6_all.deb
 3b7f1875e86fc1829d7b92c54eef6f20 19670 java optional libsac-java-gcj_1.3-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJP6B8JAAoJEAVLu599gGRCqIcP/0SIuXlEW8VjxoFVlrQYfLTE
Fwlqy2itoSUeXwSkfj/SH1zot+sFvOCRK2EIz+eY91OJZevFTWvAoivNrtfaLTVY
TtWmwrSYnmu4gUPSKWj4Hx9l1MycJmWA05j4tQZmDv03oC+hxQuHbwm3uAbzosaq
FB/VrvkGErr97Vdaq7A4tT/m2CYAL4V3sLcYXp+ugid5RDvnJ/b6eDOXQk6U3QO8
gJA4/EsWmAO/SY7zftFAOr6PpBCnQUrAmW04fHlwfeFv//k+f32cXT/88hcvtBFW
4T4APvcniySTeVaiKAbrlmt1ENAvt5lZ4dpZouZlQMOu5pXRBWV9WNsANGan6mVA
sqLypNPp8d/MJWsqcMrNtJtFSwzOW+Cy3UhZiUc4eSZe6lvbnKl5nrJxuEFCn3PV
6MDsrkThU4saEhNN+gglm4zzcoG98kPQJuO8A6afQCyU9QE2haXua7hMynmhWdQC
nr4vv6A46rrUjkpZmxxFV1YO0O9GmTzR7qXA7ToYKTxgdemJKBmQ1aRRwkH6VSVF
Kxz6TGptZRX/S2hecnSzZ7I4yGfXEq80zijp/Qi5phKtAcvLx1oRNYY9SgMN0Ikb
Ivc34Oq1TLeIC1lXbD+xkxJo2G3OzxeGKv1egKXF+dszXjpwnIAxzvSrWUgXTfAZ
9qVIzorZDegwR5ny79Jv
=4JBM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 Aug 2012 07:26:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:47:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.